// Contains class definitions
// Copyright (C) 1997 by John P. Weiss
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Artistic License, included as the file
// "LICENSE" in the source code archive.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
// You should have received a copy of the file "LICENSE", containing
// the License John Weiss originally placed this program under.
#include "QExtended.h"


// ***************
//  Here, we define the actual functions



//||||||||||||||||||||||||||||||||||||||||||||||||
//
//  Class QeLCDNumber
//
//||||||||||||||||||||||||||||||||||||||||||||||||

QeLCDNumber::QeLCDNumber( QWidget* parent, const char* name ) 
  : QLCDNumber(parent,name) {
    setEnabled( true );
}

QeLCDNumber::QeLCDNumber( uint numDigits, QWidget* parent, 
					 const char* name)
  : QLCDNumber(numDigits,parent,name) {
    setEnabled( true );
}

void QeLCDNumber::mousePressEvent( QMouseEvent *me ) {
  int xp,yp;
  xp = (pos()).x() + me->x();
  yp = (pos()).y() + me->y();
  emit pressed(xp,yp);
}

void QeLCDNumber::mouseReleaseEvent( QMouseEvent *me ) {
  int xp,yp;
  xp = (pos()).x() + me->x();
  yp = (pos()).y() + me->y();
  emit released(xp,yp);
}



//||||||||||||||||||||||||||||||||||||||||||||||||
//
//  Class QeLabel
//
//||||||||||||||||||||||||||||||||||||||||||||||||

QeLabel::QeLabel( QWidget* parent, const char* name, WFlags f ) 
  : QLabel(parent,name,f) {
    setEnabled( true );
}

QeLabel::QeLabel( const char* text, QWidget* parent, const char* name,
			   WFlags f ) : QLabel(text,parent,name,f) {
				setEnabled( true );
}

void QeLabel::mousePressEvent( QMouseEvent *me ) {
  int xp,yp;
  xp = (pos()).x() + me->x();
  yp = (pos()).y() + me->y();
  emit pressed(xp,yp);
}

void QeLabel::mouseReleaseEvent( QMouseEvent *me ) {
  int xp,yp;
  xp = (pos()).x() + me->x();
  yp = (pos()).y() + me->y();
  emit released(xp,yp);
}




//||||||||||||||||||||||||||||||||
//
// End
//
